Subject: Re: Test failure in t9814-git-p4-rename.sh - my environment or bad test?

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2014 14:14:58 -0700

Pete Wyckoff <[email-masked]> writes:

> I'm not sure how to robustify this.  At least doing the multiple
> comparisons should make the tests work again.  The goal of this
> series of tests is to make sure that copy detection is working,
> not to verify that the correct copy choice was made.  That should
> be in other (non-p4) tests.

"Choosing any of these as the copy source is fine" is a sensible way
to fix the problem with this test.  Would it be a better solution to
avoid having multiple/ambiguous copy source candidates in the first
place, by the way?

> Do send patches based on Junio's master.  I can ack, and they'll
> show up in a future git release.
>
> Thanks!
>
> 		-- Pete